package com.quansu.heifengwuliu.activity

import android.os.Bundle
import com.quansu.heifengwuliu.base.MBActivity
import com.quansu.heifengwuliu.databinding.ActivityRegisterBinding
import com.quansu.heifengwuliu.repository.RegisterRepository
import com.quansu.heifengwuliu.vmodel.RegisterVModel
import com.ysnows.base.base.BRepository

class RegisterActivity : MBActivity<RegisterVModel, ActivityRegisterBinding>() {

    override fun initCreate(savedInstanceState: Bundle?) {
        super.initCreate(savedInstanceState)
        vm.open_id=intent?.extras?.getString("open_id", "")


    }


    override fun title(): String? {
        return null
    }

    override fun binding(): ActivityRegisterBinding {
        return ActivityRegisterBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<RegisterVModel> {
        return RegisterVModel::class.java
    }

    override fun createRepository(): BRepository {
        return RegisterRepository()
    }

}
